Subject: Re: bug#63290: 30.0.50; Customize UI shows extra fields for (choice (const ...) (alist ...))

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 11:34:24 +0300

> Cc: [email-masked]
> Date: Tue, 15 Aug 2023 19:46:35 -0300
> From: Mauro Aranda <[email-masked]>
> 
> So, in case the :value is missing for the alist widget, we want to
> compute the default-value with the :options, and without including the
> editable-list.
> 
> Hopefully the attached patch is 100% correct now.  I did try it with
> excorporate-configuration and I think it works OK, but please give it
> yourself a try.  And thank you for your patience.

Thanks, I've now installed this on the master branch, and I'm closing
the bug.